import java.awt.Point;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.StringTokenizer;


/**
 * ICPC - CTU Open Contest 2019
 * Sample Solution: Double Vision
 * 
 * @author Martin Kacer
 */
public class dvojmo {
	StringTokenizer st = new StringTokenizer("");
	BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
	boolean hasNextToken() {
		try {
			while (!st.hasMoreTokens()) {
				String line = input.readLine();
				if (line == null) return false;
				st = new StringTokenizer(line);
			}
		} catch (IOException ex) { throw new RuntimeException(ex); }
		return true;
	}
	String nextToken() {
		return (!hasNextToken()) ? null : st.nextToken();
	}
	int nextInt() {
		return Integer.parseInt(nextToken());
	}
	public static void main(String[] args) {
		new dvojmo().run();
	}

	Set<Point> pts = new HashSet<>(2000);
	Map<Point,Integer> diff = new HashMap<>(2000);
	
	void run() {
		int n = nextInt();
		for (int i = 0; i < n; ++i)
			pts.add(new Point(nextInt(), nextInt()));
		for (Point p1 : pts) for (Point p2 : pts) if (p1 != p2) {
			Point pd = new Point(p1.x - p2.x, p1.y - p2.y);
			diff.put(pd, diff.getOrDefault(pd, 0) + 1);
		}
		int res = 0;
		for (Map.Entry<Point,Integer> me : diff.entrySet())
			if (me.getValue() >= n/2)
				if (testVector(me.getKey()))
					++res;
		System.out.println(res);
	}
	
	boolean testVector(Point pd) {
		for (Point p : pts)
			if (!pts.contains(new Point(p.x + pd.x, p.y + pd.y))
					&& !pts.contains(new Point(p.x - pd.x, p.y - pd.y)))
				return false;
		return true;
	}
}
